/*
	Copyright (c) 2006-2007, ePages GmbH
	All Rights Reserved.
*/
dojo.provide('epages.html.undo_test');
dojo.require('epages.html.undo');

dojo.extend(epages.html.UnDo, {
	test: function(eTest) {
		eTest.setPlanned(10);
		var undo = this;

		var object = {
			'name'         : 'guid:attribute',
			'defaultValue' : '5',
			'value'        : '6',
			'id'           : 'guid:attribute:5',
			'dispatchEvent': function (ev) { },
			'fireEvent'    : function (ev) { }

		};
		var object2 = {
			'name'         : 'attribute',
			'defaultValue' : '15',
			'value'        : '16',
			'id'           : 'guid:attribute:6',
			'dispatchEvent': function (ev) { },
			'fireEvent'    : function (ev) { }

		};
		eTest.test(function () { undo.addInput(object); return 1; }, 'addInput');
		eTest.ok(this.historyStack.length == 1, 'history added');
		eTest.test(function () { undo.addInput(object2); return 1; }, 'addInput');
		eTest.ok(this.historyStack.length == 2, 'history 2 added');
		eTest.test(function () { undo.undo(); return 1; }, 'undo');
		eTest.ok(this.historyStack.length == 1, 'history removed');
		eTest.ok(this.forwardStack.length == 1, 'forward added');
		eTest.test(function () { undo.undo(); return 1; }, 'undo');
		eTest.ok(this.historyStack.length == 0, 'history removed 2');
		eTest.ok(this.forwardStack.length == 2, 'forward added 2');
		return eTest.planned == eTest.correct ? true : false;
	}
});
