Ext.data.JsonP.jQuery_ui_productUiAppointmentpicker({"tagname":"class","name":"jQuery.ui.productUiAppointmentpicker","autodetected":{},"files":[{"filename":"appointmentpicker.js","href":"appointmentpicker.html#jQuery-ui-productUiAppointmentpicker"}],"extends":"jQuery.ui.uiDatepicker","uses":["de_epages","ep.ajax","ep.alert","ep.ui.datepicker"],"since":"6.11.0","members":[{"name":"appointment","tagname":"cfg","owner":"jQuery.ui.productUiAppointmentpicker","id":"cfg-appointment","meta":{}},{"name":"updateAppointment","tagname":"method","owner":"jQuery.ui.productUiAppointmentpicker","id":"method-updateAppointment","meta":{}}],"alternateClassNames":[],"aliases":{},"id":"class-jQuery.ui.productUiAppointmentpicker","short_doc":"Add appointment date selection from calendar handling for input elements. ...","component":false,"superclasses":["jQuery.ui.uiDatepicker"],"subclasses":[],"mixedInto":[],"mixins":[],"parentMixins":[],"requires":[],"html":"<div><pre class=\"hierarchy\"><h4>Hierarchy</h4><div class='subclass first-child'>jQuery.ui.uiDatepicker<div class='subclass '><strong>jQuery.ui.productUiAppointmentpicker</strong></div></div><h4>Uses</h4><div class='dependency'>de_epages</div><div class='dependency'>ep.ajax</div><div class='dependency'>ep.alert</div><div class='dependency'>ep.ui.datepicker</div><h4>Files</h4><div class='dependency'><a href='source/appointmentpicker.html#jQuery-ui-productUiAppointmentpicker' target='_blank'>appointmentpicker.js</a></div></pre><div class='doc-contents'><p>Add appointment date selection from calendar handling for input elements.</p>\n\n<p>The <code>.productUiAppointmentpicker()</code> method add validate handling to a input elements.</p>\n\n<p>The <code>.productUiAppointmentpicker()</code> method is a validation input also and using the validation type ''date'' from\nthe <a href=\"#!/api/ep.validate\" rel=\"ep.validate\" class=\"docClass\">ep.validate</a> module. Have a look at the additional options, some options are only available for\na special validation types.</p>\n\n<h3>Examples</h3>\n\n<p>Apply .productUiAppointmentpicker() to input element named date.</p>\n\n<p>JavaScript:</p>\n\n<pre><code>de_epages(':input[name=date]')\n    .productUiAppointmentpicker({\n        showOn: 'focus',\n        appointment: {\n            id:                 8930,\n            quantityMin:        1,\n            quantityRequested:  1,\n            quantityAvailable:  5,\n            minutesRequested:   60\n        }\n    });\n</code></pre>\n\n<p>HTML:</p>\n\n<pre><code>&lt;form&gt;\n  &lt;input type=\"text\" name=\"date\" /&gt;\n&lt;/form&gt;\n</code></pre>\n        <p>Available since: <b>6.11.0</b></p>\n</div><div class='members'><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-cfg'>Config options</h3><div class='subsection'><div id='cfg-appointment' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.productUiAppointmentpicker'>jQuery.ui.productUiAppointmentpicker</span><br/><a href='source/appointmentpicker.html#jQuery-ui-productUiAppointmentpicker-cfg-appointment' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.productUiAppointmentpicker-cfg-appointment' class='name expandable'>appointment</a> : Object<span class=\"signature\"></span></div><div class='description'><div class='short'><p>A map of options like the ObjectID for the current appointment.</p>\n</div><div class='long'><p>A map of options like the ObjectID for the current appointment.</p>\n</div></div></div></div></div><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-method'>Methods</h3><div class='subsection'><div id='method-updateAppointment' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.productUiAppointmentpicker'>jQuery.ui.productUiAppointmentpicker</span><br/><a href='source/appointmentpicker.html#jQuery-ui-productUiAppointmentpicker-method-updateAppointment' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.productUiAppointmentpicker-method-updateAppointment' class='name expandable'>updateAppointment</a>( <span class='pre'>appointment</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Updates the appointment option and refresh the availability. ...</div><div class='long'><p>Updates the appointment option and refresh the availability.</p>\n        <p>Available since: <b>6.11.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>appointment</span> : Object<div class='sub-desc'><p>A map of options like the ObjectID for the current appointment.</p>\n</div></li></ul></div></div></div></div></div></div></div>","meta":{}});