Ext.data.JsonP.jQuery_ui_uiForm({"tagname":"class","name":"jQuery.ui.uiForm","autodetected":{},"files":[{"filename":"form.js","href":"form.html#jQuery-ui-uiForm"}],"uses":["ep","ep.ajax","jQuery.fn.form","jQuery.ui.widget"],"since":"6.11.0","members":[{"name":"ajax","tagname":"cfg","owner":"jQuery.ui.uiForm","id":"cfg-ajax","meta":{}},{"name":"compareDiff","tagname":"cfg","owner":"jQuery.ui.uiForm","id":"cfg-compareDiff","meta":{}},{"name":"showSaveWarn","tagname":"cfg","owner":"jQuery.ui.uiForm","id":"cfg-showSaveWarn","meta":{}},{"name":"isValid","tagname":"method","owner":"jQuery.ui.uiForm","id":"method-isValid","meta":{}},{"name":"setValid","tagname":"method","owner":"jQuery.ui.uiForm","id":"method-setValid","meta":{}}],"alternateClassNames":[],"aliases":{},"id":"class-jQuery.ui.uiForm","short_doc":"Advanced form handling. ...","component":false,"superclasses":[],"subclasses":[],"mixedInto":[],"mixins":[],"parentMixins":[],"requires":[],"html":"<div><pre class=\"hierarchy\"><h4>Uses</h4><div class='dependency'><a href='#!/api/ep' rel='ep' class='docClass'>ep</a></div><div class='dependency'>ep.ajax</div><div class='dependency'>jQuery.fn.form</div><div class='dependency'>jQuery.ui.widget</div><h4>Files</h4><div class='dependency'><a href='source/form.html#jQuery-ui-uiForm' target='_blank'>form.js</a></div></pre><div class='doc-contents'><p>Advanced form handling.</p>\n\n<p>The <code>.uiForm()</code> method add advanced form handling, like ajax or validate, to a form.</p>\n\n<p>Default handling:</p>\n\n<ul>\n<li>prevent submit if no action attribute givn</li>\n<li>prevent submit if an element of the form invalid</li>\n</ul>\n\n\n<h3>Examples</h3>\n\n<p>Apply .uiForm() to all forms and set an ajax handle for submit.</p>\n\n<p>JavaScript:</p>\n\n<pre><code>ep('form')\n    .uiForm({\n        ajax: {\n            success: function( successText ){\n                alert( successText );\n            },\n            error: function( errorText ){\n                alert( errorText );\n            }\n        }\n    });\n</code></pre>\n        <p>Available since: <b>6.11.0</b></p>\n</div><div class='members'><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-cfg'>Config options</h3><div class='subsection'><div id='cfg-ajax' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.uiForm'>jQuery.ui.uiForm</span><br/><a href='source/form.html#jQuery-ui-uiForm-cfg-ajax' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiForm-cfg-ajax' class='name expandable'>ajax</a> : Object<span class=\"signature\"></span></div><div class='description'><div class='short'>A map of ajax options to send form via ajax. ...</div><div class='long'><p>A map of ajax options to send form via ajax. If no url givn the action attribute will be used as url, same works for type/method.</p>\n</div></div></div><div id='cfg-compareDiff' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.uiForm'>jQuery.ui.uiForm</span><br/><a href='source/form.html#jQuery-ui-uiForm-cfg-compareDiff' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiForm-cfg-compareDiff' class='name expandable'>compareDiff</a> : Boolean<span class=\"signature\"></span></div><div class='description'><div class='short'><p>A boolean indication wether to submit changed form only.</p>\n</div><div class='long'><p>A boolean indication wether to submit changed form only.</p>\n</div></div></div><div id='cfg-showSaveWarn' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.uiForm'>jQuery.ui.uiForm</span><br/><a href='source/form.html#jQuery-ui-uiForm-cfg-showSaveWarn' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiForm-cfg-showSaveWarn' class='name expandable'>showSaveWarn</a> : Boolean<span class=\"signature\"></span></div><div class='description'><div class='short'><p>A boolean indication wether to show a warning when leaving a page without saving.</p>\n</div><div class='long'><p>A boolean indication wether to show a warning when leaving a page without saving.</p>\n</div></div></div></div></div><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-method'>Methods</h3><div class='subsection'><div id='method-isValid' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.uiForm'>jQuery.ui.uiForm</span><br/><a href='source/form.html#jQuery-ui-uiForm-method-isValid' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiForm-method-isValid' class='name expandable'>isValid</a>( <span class='pre'></span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Get a boolean indication wether the elements of the form are valid. ...</div><div class='long'><p>Get a boolean indication wether the elements of the form are valid.</p>\n        <p>Available since: <b>6.11.0</b></p>\n</div></div></div><div id='method-setValid' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.uiForm'>jQuery.ui.uiForm</span><br/><a href='source/form.html#jQuery-ui-uiForm-method-setValid' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiForm-method-setValid' class='name expandable'>setValid</a>( <span class='pre'>[valid]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Set the validity state of the form to true (valid) or false (invalid). ...</div><div class='long'><p>Set the validity state of the form to <code>true</code> (valid) or <code>false</code> (invalid).</p>\n        <p>Available since: <b>6.11.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>valid</span> : Boolean (optional)<div class='sub-desc'><p>A boolean indication whether to set the valid state of the form.</p>\n</div></li></ul></div></div></div></div></div></div></div>","meta":{}});