Ext.data.JsonP.jQuery_ui_uiMagnifier({"tagname":"class","name":"jQuery.ui.uiMagnifier","autodetected":{},"files":[{"filename":"magnifier.js","href":"magnifier.html#jQuery-ui-uiMagnifier"}],"extends":"jQuery.widget","uses":["ep","ep.fn.contextOrientation","jQuery.event.special.load","jQuery.ui.widget"],"since":"6.12.0","members":[{"name":"dir","tagname":"cfg","owner":"jQuery.ui.uiMagnifier","id":"cfg-dir","meta":{}},{"name":"magBG","tagname":"cfg","owner":"jQuery.ui.uiMagnifier","id":"cfg-magBG","meta":{}},{"name":"magBorder","tagname":"cfg","owner":"jQuery.ui.uiMagnifier","id":"cfg-magBorder","meta":{}},{"name":"magHeight","tagname":"cfg","owner":"jQuery.ui.uiMagnifier","id":"cfg-magHeight","meta":{}},{"name":"magOpac","tagname":"cfg","owner":"jQuery.ui.uiMagnifier","id":"cfg-magOpac","meta":{}},{"name":"magWidth","tagname":"cfg","owner":"jQuery.ui.uiMagnifier","id":"cfg-magWidth","meta":{}},{"name":"magnifiedPicture","tagname":"cfg","owner":"jQuery.ui.uiMagnifier","id":"cfg-magnifiedPicture","meta":{}},{"name":"slideshow","tagname":"cfg","owner":"jQuery.ui.uiMagnifier","id":"cfg-slideshow","meta":{}},{"name":"zIndex","tagname":"cfg","owner":"jQuery.ui.uiMagnifier","id":"cfg-zIndex","meta":{}},{"name":"setImage","tagname":"method","owner":"jQuery.ui.uiMagnifier","id":"method-setImage","meta":{}}],"alternateClassNames":[],"aliases":{},"id":"class-jQuery.ui.uiMagnifier","short_doc":"Adding magnifier function to an image\n\nThe .uiMagnifier() widget adds a magnifier to an preview image. ...","component":false,"superclasses":["jQuery.widget"],"subclasses":[],"mixedInto":[],"mixins":[],"parentMixins":[],"requires":[],"html":"<div><pre class=\"hierarchy\"><h4>Hierarchy</h4><div class='subclass first-child'>jQuery.widget<div class='subclass '><strong>jQuery.ui.uiMagnifier</strong></div></div><h4>Uses</h4><div class='dependency'><a href='#!/api/ep' rel='ep' class='docClass'>ep</a></div><div class='dependency'>ep.fn.contextOrientation</div><div class='dependency'>jQuery.event.special.load</div><div class='dependency'>jQuery.ui.widget</div><h4>Files</h4><div class='dependency'><a href='source/magnifier.html#jQuery-ui-uiMagnifier' target='_blank'>magnifier.js</a></div></pre><div class='doc-contents'><p>Adding magnifier function to an image</p>\n\n<p>The <code>.uiMagnifier()</code> widget adds a magnifier to an preview image. The magnified image is passed as\nadditional option and will be shown in a magnified area.</p>\n\n<p>The dimensions of the magnifier mover depends on the dimensions of the magnified image,\nthe magnified area and the preview image.</p>\n\n<h3>Examples</h3>\n\n<p>Add a magnifier on the right side of an image.</p>\n\n<p>JavaScript:</p>\n\n<pre><code>ep('#image').uiMagnifier({\n  'magnifiedPicture':'magnifiedImage.jpg',\n  'magWidth': 200,\n  'magHeight': 200,\n  'dir': 'right'\n});\n</code></pre>\n\n<p>HTML:</p>\n\n<pre><code>&lt;img src=\"Image.jpg\" name=\"Bild\" alt=\"Bild\" id=\"image\" /&gt;\n</code></pre>\n        <p>Available since: <b>6.12.0</b></p>\n</div><div class='members'><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-cfg'>Config options</h3><div class='subsection'><div id='cfg-dir' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.uiMagnifier'>jQuery.ui.uiMagnifier</span><br/><a href='source/magnifier.html#jQuery-ui-uiMagnifier-cfg-dir' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiMagnifier-cfg-dir' class='name expandable'>dir</a> : string<span class=\"signature\"></span></div><div class='description'><div class='short'>Direction where the magnified area is shown relative to the preview image. ...</div><div class='long'><p>Direction where the magnified area is shown relative to the preview image. (posible values 'left', 'right', 'center')</p>\n</div></div></div><div id='cfg-magBG' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.uiMagnifier'>jQuery.ui.uiMagnifier</span><br/><a href='source/magnifier.html#jQuery-ui-uiMagnifier-cfg-magBG' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiMagnifier-cfg-magBG' class='name expandable'>magBG</a> : string<span class=\"signature\"></span></div><div class='description'><div class='short'><p>CSS string defining the background of the magnifier mover.</p>\n</div><div class='long'><p>CSS string defining the background of the magnifier mover.</p>\n</div></div></div><div id='cfg-magBorder' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.uiMagnifier'>jQuery.ui.uiMagnifier</span><br/><a href='source/magnifier.html#jQuery-ui-uiMagnifier-cfg-magBorder' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiMagnifier-cfg-magBorder' class='name expandable'>magBorder</a> : String<span class=\"signature\"></span></div><div class='description'><div class='short'><p>CSS string defining the border of the magnifier mover.</p>\n</div><div class='long'><p>CSS string defining the border of the magnifier mover.</p>\n</div></div></div><div id='cfg-magHeight' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.uiMagnifier'>jQuery.ui.uiMagnifier</span><br/><a href='source/magnifier.html#jQuery-ui-uiMagnifier-cfg-magHeight' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiMagnifier-cfg-magHeight' class='name expandable'>magHeight</a> : integer<span class=\"signature\"></span></div><div class='description'><div class='short'><p>Height of the magnified area.</p>\n</div><div class='long'><p>Height of the magnified area.</p>\n</div></div></div><div id='cfg-magOpac' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.uiMagnifier'>jQuery.ui.uiMagnifier</span><br/><a href='source/magnifier.html#jQuery-ui-uiMagnifier-cfg-magOpac' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiMagnifier-cfg-magOpac' class='name expandable'>magOpac</a> : float<span class=\"signature\"></span></div><div class='description'><div class='short'><p>Number from 0 to 1 defining the opacity of the magnifier mover.</p>\n</div><div class='long'><p>Number from 0 to 1 defining the opacity of the magnifier mover.</p>\n</div></div></div><div id='cfg-magWidth' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.uiMagnifier'>jQuery.ui.uiMagnifier</span><br/><a href='source/magnifier.html#jQuery-ui-uiMagnifier-cfg-magWidth' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiMagnifier-cfg-magWidth' class='name expandable'>magWidth</a> : integer<span class=\"signature\"></span></div><div class='description'><div class='short'><p>Width of the magnified area.</p>\n</div><div class='long'><p>Width of the magnified area.</p>\n</div></div></div><div id='cfg-magnifiedPicture' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.uiMagnifier'>jQuery.ui.uiMagnifier</span><br/><a href='source/magnifier.html#jQuery-ui-uiMagnifier-cfg-magnifiedPicture' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiMagnifier-cfg-magnifiedPicture' class='name expandable'>magnifiedPicture</a> : String<span class=\"signature\"></span></div><div class='description'><div class='short'><p>Specifies path and name of the file containing the magnified image.</p>\n</div><div class='long'><p>Specifies path and name of the file containing the magnified image.</p>\n</div></div></div><div id='cfg-slideshow' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.uiMagnifier'>jQuery.ui.uiMagnifier</span><br/><a href='source/magnifier.html#jQuery-ui-uiMagnifier-cfg-slideshow' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiMagnifier-cfg-slideshow' class='name expandable'>slideshow</a> : object<span class=\"signature\"></span></div><div class='description'><div class='short'><p>An object representing a ep.uiSlideshow.</p>\n</div><div class='long'><p>An object representing a ep.uiSlideshow.</p>\n</div></div></div><div id='cfg-zIndex' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.uiMagnifier'>jQuery.ui.uiMagnifier</span><br/><a href='source/magnifier.html#jQuery-ui-uiMagnifier-cfg-zIndex' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiMagnifier-cfg-zIndex' class='name expandable'>zIndex</a> : integer<span class=\"signature\"></span></div><div class='description'><div class='short'><p>Number defining the layer position of the magnified area.</p>\n</div><div class='long'><p>Number defining the layer position of the magnified area.</p>\n</div></div></div></div></div><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-method'>Methods</h3><div class='subsection'><div id='method-setImage' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.uiMagnifier'>jQuery.ui.uiMagnifier</span><br/><a href='source/magnifier.html#jQuery-ui-uiMagnifier-method-setImage' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiMagnifier-method-setImage' class='name expandable'>setImage</a>( <span class='pre'>newPreviewImage, newMagnifiedImage</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Setting a new preview and magnified image. ...</div><div class='long'><p>Setting a new preview and magnified image.</p>\n        <p>Available since: <b>6.12.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>newPreviewImage</span> : String<div class='sub-desc'><p>Specifies path and name of the file containing the new preview image.</p>\n</div></li><li><span class='pre'>newMagnifiedImage</span> : String<div class='sub-desc'><p>Specifies path and name of the file containing the new magnified image.</p>\n</div></li></ul></div></div></div></div></div></div></div>","meta":{}});