Ext.data.JsonP.jQuery_ui_uiThumbbox({"tagname":"class","name":"jQuery.ui.uiThumbbox","autodetected":{},"files":[{"filename":"thumbbox.js","href":"thumbbox.html#jQuery-ui-uiThumbbox"}],"extends":"jQuery.widget","uses":["ep.ui.core","jQuery.fn.class","jQuery.tmpl","jQuery.ui.widget"],"since":"6.14.0","members":[{"name":"event","tagname":"cfg","owner":"jQuery.ui.uiThumbbox","id":"cfg-event","meta":{}},{"name":"height","tagname":"cfg","owner":"jQuery.ui.uiThumbbox","id":"cfg-height","meta":{}},{"name":"images","tagname":"cfg","owner":"jQuery.ui.uiThumbbox","id":"cfg-images","meta":{}},{"name":"view","tagname":"cfg","owner":"jQuery.ui.uiThumbbox","id":"cfg-view","meta":{}},{"name":"width","tagname":"cfg","owner":"jQuery.ui.uiThumbbox","id":"cfg-width","meta":{}}],"alternateClassNames":[],"aliases":{},"id":"class-jQuery.ui.uiThumbbox","short_doc":"Create a thumbnail box for a given set of images. ...","component":false,"superclasses":["jQuery.widget"],"subclasses":[],"mixedInto":[],"mixins":[],"parentMixins":[],"requires":[],"html":"<div><pre class=\"hierarchy\"><h4>Hierarchy</h4><div class='subclass first-child'>jQuery.widget<div class='subclass '><strong>jQuery.ui.uiThumbbox</strong></div></div><h4>Uses</h4><div class='dependency'>ep.ui.core</div><div class='dependency'>jQuery.fn.class</div><div class='dependency'>jQuery.tmpl</div><div class='dependency'>jQuery.ui.widget</div><h4>Files</h4><div class='dependency'><a href='source/thumbbox.html#jQuery-ui-uiThumbbox' target='_blank'>thumbbox.js</a></div></pre><div class='doc-contents'><p>Create a thumbnail box for a given set of images.</p>\n\n<p>The <code>ep.uiThumbbox()</code> method creates a thumbnail box for a given set of images. A thumbnail is a small preview of an image.</p>\n\n<p>The thumbbox can be part of the <code>ep.uiLightbox()</code> and can also be used with <code>ep.uiSlides()</code>.</p>\n\n<h3>Examples</h3>\n\n<p>Create a thumbbox (list style).</p>\n\n<p>JavaScript:</p>\n\n<pre><code>ep('#thumbbox01')\n  .uiThumbbox({\n    images  : '<a href=\"#!/api/jQuery.ui.uiThumbbox-cfg-images\" rel=\"jQuery.ui.uiThumbbox-cfg-images\" class=\"docClass\">images</a> img',\n    width : 200,\n    height  : 200,\n    action  : \"slides\",\n    view  : \"list\"\n });\n</code></pre>\n\n<p>HTML:</p>\n\n<pre><code>&lt;ul id=\"images\" style=\"display:none;\"&gt;\n  &lt;li&gt;\n    &lt;img\n      alt=\"Bild 1\"\n      src=\"ep/ui/thumbboxTest_Image1.jpg\"\n      data-src-m=\"ep/ui/thumbboxTest_Image1.jpg\"\n      data-src-l=\"ep/ui/thumbboxTest_Image1.jpg\"\n    /&gt;\n  &lt;/li&gt;\n  &lt;li&gt;\n    &lt;img\n      alt=\"Bild 2\"\n      src=\"ep/ui/thumbboxTest_Image2.jpg\"\n      data-src-m=\"ep/ui/thumbboxTest_Image2.jpg\"\n      data-src-l=\"ep/ui/thumbboxTest_Image2.jpg\"\n    /&gt;\n  &lt;/li&gt;\n  &lt;li&gt;\n    &lt;img\n      alt=\"Bild 3\"\n      src=\"ep/ui/thumbboxTest_Image1.jpg\"\n      data-src-m=\"ep/ui/thumbboxTest_Image1.jpg\"\n      data-src-l=\"ep/ui/thumbboxTest_Image1.jpg\"\n    /&gt;\n  &lt;/li&gt;\n&lt;/ul&gt;\n&lt;div id=\"thumbbox01\" style=\"width:650px;\"&gt;&lt;/div&gt;\n</code></pre>\n        <p>Available since: <b>6.14.0</b></p>\n</div><div class='members'><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-cfg'>Config options</h3><div class='subsection'><div id='cfg-event' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.uiThumbbox'>jQuery.ui.uiThumbbox</span><br/><a href='source/thumbbox.html#jQuery-ui-uiThumbbox-cfg-event' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiThumbbox-cfg-event' class='name expandable'>event</a> : String<span class=\"signature\"></span></div><div class='description'><div class='short'><p>The event that changes the current image.</p>\n</div><div class='long'><p>The event that changes the current image.</p>\n</div></div></div><div id='cfg-height' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.uiThumbbox'>jQuery.ui.uiThumbbox</span><br/><a href='source/thumbbox.html#jQuery-ui-uiThumbbox-cfg-height' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiThumbbox-cfg-height' class='name expandable'>height</a> : Number<span class=\"signature\"></span></div><div class='description'><div class='short'><p>The height of the thumbnail.</p>\n</div><div class='long'><p>The height of the thumbnail.</p>\n</div></div></div><div id='cfg-images' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.uiThumbbox'>jQuery.ui.uiThumbbox</span><br/><a href='source/thumbbox.html#jQuery-ui-uiThumbbox-cfg-images' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiThumbbox-cfg-images' class='name expandable'>images</a> : String<span class=\"signature\"></span></div><div class='description'><div class='short'><p>A set of images which will be displayed.</p>\n</div><div class='long'><p>A set of images which will be displayed.</p>\n</div></div></div><div id='cfg-view' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.uiThumbbox'>jQuery.ui.uiThumbbox</span><br/><a href='source/thumbbox.html#jQuery-ui-uiThumbbox-cfg-view' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiThumbbox-cfg-view' class='name expandable'>view</a> : String<span class=\"signature\"></span></div><div class='description'><div class='short'><p>The style of the thumbbox (list / slide / fisheye).</p>\n</div><div class='long'><p>The style of the thumbbox (list / slide / fisheye).</p>\n</div></div></div><div id='cfg-width' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.uiThumbbox'>jQuery.ui.uiThumbbox</span><br/><a href='source/thumbbox.html#jQuery-ui-uiThumbbox-cfg-width' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiThumbbox-cfg-width' class='name expandable'>width</a> : Number<span class=\"signature\"></span></div><div class='description'><div class='short'><p>The width of the thumbnail.</p>\n</div><div class='long'><p>The width of the thumbnail.</p>\n</div></div></div></div></div></div></div>","meta":{}});